#include<mpi.h>
#include<stdio.h>
#include<stdlib.h>



//prolazi kroz brojeve
int jeKB(long br){

    long x,y,p;
    y=0;
    x=br*br;
   
    p=1;    
    while((x /1) !=0){
        if((x+y)==br) return 1;
        y=y+(x%10)*p;
        x=x/10;
        p=p*10;
       // printf("usao %ld,%ld, %ld\n",x,y,br);

    }
    
    return 0;
}


int main(int argc, char* argv[]){

    int id,np;
    long i;
    long brojevi=100000000;

    //long brojevi=100;

    MPI_Init(&argc,&argv);
    MPI_Comm_rank(MPI_COMM_WORLD,&id);
    MPI_Comm_size(MPI_COMM_WORLD,&np);
   // if (id==0) printf("vreme je ,%f\n",MPI_Wtime());

    for (i=id;i<brojevi;i+=np){
        if(jeKB(i)==1) printf("broj %ld je Kaprekarov\n",i);
        
//printf("radi\n");

    }


    
   // if (id==0) printf("vreme je ,%f\n",MPI_Wtime());
    MPI_Finalize();
    return 0;
}